<template>
    <v-layout row wrap>
        <v-flex xs12 sm12 md12 lg12>
            <v-card id="rowSeat">
                
                <v-card-title class="red lighten-a justify">
                    <h2 class="white--text font-weight-light">TEATER 1</h2>
                </v-card-title>

                <v-list two-line>
                        <v-list-tile>
                            <v-icon size="50" color="">event_seat</v-icon>
                            <h2 class="font-weight-light"> &nbsp; Executive 150 Bath</h2>
                        </v-list-tile>
                
                <!-- Roll A -->
                <v-layout row wrap>
                        <v-flex xs12 sm12 md12 lg12 offset-sm2>
                                <tr>
                                    <td class="A">
                                        <td>A &nbsp; </td>
                                        <v-btn large :color="rollA.status ?'red':'blank'"  v-for="rollA in rollAs" :key="rollA" @click="rollA.status=!rollA.status">
                                        <v-icon color="white" v-if="rollA.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; A</td>
                                </tr>
                        </v-flex>
                </v-layout>
            
            <!-- roll B -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="B">
                                        <td>B &nbsp; <br></td>
                                        <v-btn large :color="rollB.status ?'red':'blank'"  v-for="rollB in rollBs" :key="rollB" @click="rollB.status=!rollB.status">
                                        <v-icon color="white" v-if="rollB.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; B</td>
                                    </td>
                                </tr>
                        </v-flex>
            
            <!-- roll C -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="C">
                                        <td>C &nbsp; </td>
                                        <v-btn large :color="rollC.status ?'red':'blank'"  v-for="rollC in rollCs" :key="rollC" @click="rollC.status=!rollC.status">
                                        <v-icon color="white" v-if="rollC.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; C</td>
                                    </td>
                                </tr>
                        </v-flex>

            <!-- roll D -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="D">
                                        <td>D &nbsp; </td>
                                        <v-btn large :color="rollD.status ?'red':'blank'"  v-for="rollD in rollDs" :key="rollD" @click="rollD.status=!rollD.status">
                                        <v-icon color="white" v-if="rollD.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; D</td>
                                    </td>
                                </tr>
                        </v-flex>

            <!-- roll E -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="E">
                                        <td>E &nbsp; </td>
                                        <v-btn large :color="rollE.status ?'red':'blank'"  v-for="rollE in rollEs" :key="rollE" @click="rollE.status=!rollE.status">
                                        <v-icon color="white" v-if="rollE.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; E</td>
                                    </td>
                                </tr>
                        </v-flex>

            <!-- roll F -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="F">
                                        <td>F &nbsp; </td>
                                        <v-btn large :color="rollF.status ?'red':'blank'" v-for="rollF in rollFs" :key="rollF" @click="rollF.status=!rollF.status">
                                        <v-icon color="white" v-if="rollF.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; F</td>
                                    </td>
                                </tr>                                
                        </v-flex>
                </v-list>
            <br>
            
                <v-flex xs8 offset-xs2 class="red">
                    <br>
                    <v-flex xs4>
                        <h1 class="white--text font-weight-light">&nbsp; Movie Name</h1>
                        <h2 class="white--text font-weight-light">&nbsp; Date xx:xx:xx</h2>
                    <h2 class="white--text font-weight-light">&nbsp; Time xx:xx:xx</h2>
                    </v-flex>
                    <v-flex xs4 offset-xs7>
                        <v-card>
                            <v-flex xs4 offset-xs1>
                                <br>
                            <h1 class="font-weight-light"> &nbsp; Seat  </h1>
                            <h1 class="font-weight-light">&nbsp; E10 </h1>
                            <br>
                            </v-flex>
                            <br>
                        </v-card>
                    </v-flex>
                </v-flex>
                <v-flex xs8 offset-xs2 class="red"> <br></v-flex>
                <v-flex xs8 offset-xs2 class="red">
                    <v-flex>
                    <h1 class="white--text font-weight-light">&nbsp Teater 1</h1>
                    <h2 class="white--text font-weight-light">&nbsp Digital | th 150 min</h2>
                    </v-flex>
                <br>
                </v-flex>
                <br>
                <div>
                    <v-flex xs6 sm6 md6 lg6>
                    <v-btn large color="red" class="right white--text" v-for="link in reserve" :key="link.text" router :to="link.route">Continue</v-btn>
                    </v-flex>
                </div>
            </v-card>
        </v-flex>
    </v-layout>
</template>

<script>
export default {
    data () {
   return {
     rollAs: [
       { title: 'A1', status: false},
       { title: 'A2', status: false},
       { title: 'A3', status: false},
       { title: 'A4', status: false},
       { title: 'A5', status: false},
       { title: 'A6', status: false},
       { title: 'A7', status: false},
       { title: 'A8', status: false}
     ],
     rollBs: [
       { title: 'B1', status: false },
       { title: 'B2', status: false },
       { title: 'B3', status: false },
       { title: 'B4', status: false },
       { title: 'B5', status: false },
       { title: 'B6', status: false },
       { title: 'B7', status: false },
       { title: 'B8', status: false }
     ],
     rollCs: [
       { title: 'C1', status: false },
       { title: 'C2', status: false },
       { title: 'C3', status: false },
       { title: 'C4', status: false },
       { title: 'C5', status: false },
       { title: 'C6', status: false },
       { title: 'C7', status: false },
       { title: 'C8', status: false }
     ],
     rollDs: [
       { title: 'D1', status: false },
       { title: 'D2', status: false },
       { title: 'D3', status: false },
       { title: 'D4', status: false },
       { title: 'D5', status: false },
       { title: 'D6', status: false },
       { title: 'D7', status: false },
       { title: 'D8', status: false }
     ],
     rollEs: [
       { title: 'E1', status: false },
       { title: 'E2', status: false },
       { title: 'E3', status: false },
       { title: 'E4', status: false },
       { title: 'E5', status: false },
       { title: 'E6', status: false },
       { title: 'E7', status: false },
       { title: 'E8', status: false }
     ],
     rollFs: [
       { title: 'F1', status: false },
       { title: 'F2', status: false },
       { title: 'F3', status: false },
       { title: 'F4', status: false },
       { title: 'F5', status: false },
       { title: 'F6', status: false },
       { title: 'F7', status: false },
       { title: 'F8', status: false }
     ],
      reserve: [{ text: 'Continue' , route: '/Reserve'}]

   }
 }

}
</script>